# Class Utils

java.lang.Object
jam.mac.Utils

public class Utils extends Object

## Constructor Summary

Constructors
Constructor
Description
`Utils()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getMacOSXMajorVersionNumber()`
`static String`
`getMacOSXVersion()`
`static boolean`
`isMacOSX()`
`static void`
`registerDesktopApplication(Application application)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Utils

public Utils()

## Method Details

### isMacOSX

public static boolean isMacOSX()

### getMacOSXVersion

public static String getMacOSXVersion()

### getMacOSXMajorVersionNumber

public static int getMacOSXMajorVersionNumber()

### registerDesktopApplication

public static void registerDesktopApplication(Application application)